function MenuCallbackHandler:viewport_scale_changed(item)
	managers.user:set_setting("viewport_scale", item:value())
end

Hooks:Add("MenuManagerBuildCustomMenus", "ViewportBorder_AddScaleOption", function(menu_manager, nodes)
	local adv_video_node = nodes.adv_video

	local params = {
		name = "viewport_scale",
		text_id = "menu_viewport_scale",
		help_id = "menu_viewport_scale_help",
		callback = "viewport_scale_changed",
		filter = true,
		localize = true,
		localize_help = true
	}

	local data_node = {
		type = "CoreMenuItemSlider.ItemSlider",
		show_value = true,
		min = 0,
		max = 1,
		step = 0.01
	}

	local viewport_scale_item = adv_video_node:create_item(data_node, params)
	viewport_scale_item:set_value(managers.user:get_setting("viewport_scale") or 1)

	for index, item in pairs(adv_video_node._items) do
		if item:name() == "max_streaming_chunk" then
			position = index + 1
			break
		end
	end

	adv_video_node:insert_item(viewport_scale_item, position)
end)